[ubuntu/maverick] puppet 0.25.5-1ubuntu1 (Accepted)

Mathias Gug mathiaz at ubuntu.com
Fri Jul 2 01:20:15 BST 2010


puppet (0.25.5-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - etckeeper integration (server-lucid-puppet-etckeeper-integration):
      + debian/etckeeper-commit-post, debian/etckeeper-commit-pre:
         Call "etckeeper commit" before and after catalog runs.
         Silently bail out if etckeeper is not available.
      + debian/puppet.conf:
         Call out to the etckeeper hooks using the new prerun_command,
         and postrun_command hooks.
      + debian/rules:
         Install the etckeeper hook scripts in /etc/puppet.
    - Fix init service provider to correctly check the status of services
      using upstart jobs (LP: #551544).
    - debian/control: Move puppetmaster's Recommends to Suggests.
  * Rakefile: use system puppet.rb file to detect version.

puppet (0.25.5-1) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * New upstream version: 0.25.5
  * Adjust conflicts for puppet-common, to ensure upgrade goes well

  [ Mathias Gug ]
  * Add /etc/puppet/templates and /etc/puppet/modules to the puppet-
    common package (Closes: #571129)
  * Add binary package "puppet-testsuite" (Closes: #584480)

puppet (0.25.4-6) unstable; urgency=low

  * clarify passenger options in default/puppetmaster
  * add patch to ext/rack/files/apache2.conf for debian-specific settings
  * debian/control: add version depends on librack-ruby
  * additional start-stop-daemon fix for puppet.init and puppetqd.init
  * debian/rules: actually install config.ru owned by the puppet user,
    this is necessary for proper suid of passenger (closes: #577366)

puppet (0.25.4-5) unstable; urgency=low

  * debian/puppetmaster.init: fix invocation of start-stop-daemon (closes:
  * #578066)

puppet (0.25.4-4) unstable; urgency=low

  [ Andrew Pollock ]
  * debian/watch: update for new upstream location
  * apply patch from Mathias Gug to add /etc/puppet to puppet-common's
    directories so that it is removed on package purge (if empty). Also removes
    /var/log/puppet on purge (closes: #571130)

  [ Micah Anderson ]
  * add Suggests: libselinux-ruby1.8 as puppet supports it, but only
    if the library is present
  * cherry-pick: add puppetmasterd dbconnections option to increase
    the rails 'max pool size' (redmine: #2568)
  * fix puppetqd initscript status operation

  [ Andrew Pollock ]
  * debian/rules: don't install config.ru owned by the puppet user (closes:
    #577366)

puppet (0.25.4-3) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * Fix "puppetmaster and puppet scripts always return 0" with patch from
    Mathias Gug, make sure return codes are actually used (Closes: #573473)

  [ Micah Anderson ]
  * Disable default puppet.conf option pluginsync=true, see puppet-common.NEWS
  * Suggest in puppetmaster package: libapache2-mod-passenger, librack-ruby
  * Create puppetmaster.README with information about the server type
  * Provide an example apache2.conf for libapache2-mod-passenger
  * Ship the rack config.ru, and README as README.rack
  * Fix puppet-el.emacsen-startup script to be properly installed
  * debian/puppetmaster.init: Fix init stop action to not fail if the
    puppetmaster is already stopped, Thanks Mathias Gug (Closes: #574677)
  * Add Suggests: stompserver/libstomp-ruby1.8 - needed for puppetqd
  * Add README.queueing to puppetmaster package which describes puppetqd
  * Add /etc/init.d/puppetqd and defaults in /etc/defaults/puppetmaster
  * Switch to dpkg-source 3.0 (quilt) format

Date: Thu, 01 Jul 2010 20:13:26 -0400
Changed-By: Mathias Gug <mathiaz at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel at lists.ubuntu.com>
https://launchpad.net/ubuntu/maverick/+source/puppet/0.25.5-1ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 01 Jul 2010 20:13:26 -0400
Source: puppet
Binary: puppet puppetmaster puppet-common vim-puppet puppet-el puppet-testsuite
Architecture: source
Version: 0.25.5-1ubuntu1
Distribution: maverick
Urgency: low
Maintainer: Ubuntu Developers <ubuntu-devel at lists.ubuntu.com>
Changed-By: Mathias Gug <mathiaz at ubuntu.com>
Description: 
 puppet     - centralised configuration management for networks
 puppet-common - common files for puppet and puppetmaster
 puppet-el  - Emacs syntax highlighting for puppet manifests
 puppet-testsuite - centralized configuration management control for networks
 puppetmaster - centralised configuration management control daemon
 vim-puppet - Vim syntax highlighting for puppet manifests
Closes: 571129 571130 573473 574677 577366 584480
Launchpad-Bugs-Fixed: 551544
Changes: 
 puppet (0.25.5-1ubuntu1) maverick; urgency=low
 .
   * Merge from Debian unstable. Remaining changes:
     - etckeeper integration (server-lucid-puppet-etckeeper-integration):
       + debian/etckeeper-commit-post, debian/etckeeper-commit-pre:
          Call "etckeeper commit" before and after catalog runs.
          Silently bail out if etckeeper is not available.
       + debian/puppet.conf:
          Call out to the etckeeper hooks using the new prerun_command,
          and postrun_command hooks.
       + debian/rules:
          Install the etckeeper hook scripts in /etc/puppet.
     - Fix init service provider to correctly check the status of services
       using upstart jobs (LP: #551544).
     - debian/control: Move puppetmaster's Recommends to Suggests.
   * Rakefile: use system puppet.rb file to detect version.
 .
 puppet (0.25.5-1) unstable; urgency=low
 .
   [ Stig Sandbeck Mathisen ]
   * New upstream version: 0.25.5
   * Adjust conflicts for puppet-common, to ensure upgrade goes well
 .
   [ Mathias Gug ]
   * Add /etc/puppet/templates and /etc/puppet/modules to the puppet-
     common package (Closes: #571129)
   * Add binary package "puppet-testsuite" (Closes: #584480)
 .
 puppet (0.25.4-6) unstable; urgency=low
 .
   * clarify passenger options in default/puppetmaster
   * add patch to ext/rack/files/apache2.conf for debian-specific settings
   * debian/control: add version depends on librack-ruby
   * additional start-stop-daemon fix for puppet.init and puppetqd.init
   * debian/rules: actually install config.ru owned by the puppet user,
     this is necessary for proper suid of passenger (closes: #577366)
 .
 puppet (0.25.4-5) unstable; urgency=low
 .
   * debian/puppetmaster.init: fix invocation of start-stop-daemon (closes:
   * #578066)
 .
 puppet (0.25.4-4) unstable; urgency=low
 .
   [ Andrew Pollock ]
   * debian/watch: update for new upstream location
   * apply patch from Mathias Gug to add /etc/puppet to puppet-common's
     directories so that it is removed on package purge (if empty). Also removes
     /var/log/puppet on purge (closes: #571130)
 .
   [ Micah Anderson ]
   * add Suggests: libselinux-ruby1.8 as puppet supports it, but only
     if the library is present
   * cherry-pick: add puppetmasterd dbconnections option to increase
     the rails 'max pool size' (redmine: #2568)
   * fix puppetqd initscript status operation
 .
   [ Andrew Pollock ]
   * debian/rules: don't install config.ru owned by the puppet user (closes:
     #577366)
 .
 puppet (0.25.4-3) unstable; urgency=low
 .
   [ Stig Sandbeck Mathisen ]
   * Fix "puppetmaster and puppet scripts always return 0" with patch from
     Mathias Gug, make sure return codes are actually used (Closes: #573473)
 .
   [ Micah Anderson ]
   * Disable default puppet.conf option pluginsync=true, see puppet-common.NEWS
   * Suggest in puppetmaster package: libapache2-mod-passenger, librack-ruby
   * Create puppetmaster.README with information about the server type
   * Provide an example apache2.conf for libapache2-mod-passenger
   * Ship the rack config.ru, and README as README.rack
   * Fix puppet-el.emacsen-startup script to be properly installed
   * debian/puppetmaster.init: Fix init stop action to not fail if the
     puppetmaster is already stopped, Thanks Mathias Gug (Closes: #574677)
   * Add Suggests: stompserver/libstomp-ruby1.8 - needed for puppetqd
   * Add README.queueing to puppetmaster package which describes puppetqd
   * Add /etc/init.d/puppetqd and defaults in /etc/defaults/puppetmaster
   * Switch to dpkg-source 3.0 (quilt) format
Checksums-Sha1: 
 2cde7aa568914421552b536ae131b379f3a3871b 1592 puppet_0.25.5-1ubuntu1.dsc
 0a42f46a112e9e4915ea52ff3e7db9979a80d966 1415780 puppet_0.25.5.orig.tar.gz
 541f7d3c763af31fbcf8e0af3bdbcd1c71f14da6 30057 puppet_0.25.5-1ubuntu1.debian.tar.gz
Checksums-Sha256: 
 2d7dc90a56425ba7eddb135b6b9265f513598ff0cc02efa080516ceef25771dd 1592 puppet_0.25.5-1ubuntu1.dsc
 03fe8c5c6ff5e415a824eb524b77f4eef1272a63e9b272066951dc30070046d1 1415780 puppet_0.25.5.orig.tar.gz
 b7e2dd2be1c7a8607eee12faa98d39821f06748d9018a36f0468764f28060897 30057 puppet_0.25.5-1ubuntu1.debian.tar.gz
Files: 
 64b711f751db5640957ac0d19a7e9d18 1592 admin optional puppet_0.25.5-1ubuntu1.dsc
 dd9d5976901e046d65fc2b82651241cb 1415780 admin optional puppet_0.25.5.orig.tar.gz
 41ebc2e2e6c3cf75f0307bab185d50ce 30057 admin optional puppet_0.25.5-1ubuntu1.debian.tar.gz
Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel at lists.alioth.debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwtL2cACgkQM0thG+z3pVg/YgCfVGAsinAfT0M/FUx0jpYjrAVo
pYIAn0ZJyRLOOErMvfSlhstE+YPk6JlX
=SD3Y
-----END PGP SIGNATURE-----


More information about the Maverick-changes mailing list